Bug 1659266 - Install process hangs for a couple of minutes at "Starting package installation process" if 'debug' is on cmdline
Summary: Install process hangs for a couple of minutes at "Starting package installati...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 23:11 UTC by Adam Williamson
Modified: 2021-01-22 10:22 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-22 10:22:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2018-12-13 23:11:35 UTC
There's an openQA test which adds 'debug' to the cmdline, so the anaconda memory use recording feature will be enabled and we can record memory use in the installer. However, since somewhere between Fedora-Rawhide-20181021.n.0 and Fedora-Rawhide-20181105.n.1 (I can't be more precise as there were confounding bugs in all the composes in the middle), this test started failing - it seemed like the installer was hanging.

I just reproduced this manually, and it turns out the installer isn't completely hung, but it *does* stop responding for about two minutes, long enough for the openQA test to get bored and give up (I will tweak it now to wait longer). So long as 'debug' is on the cmdline, when the install process reaches "Starting package installation", the UI freezes and becomes unresponsive for about two minutes; then it comes back to life and the install proceeds. I'm not sure what's causing this.

Comment 1 Ben Cotton 2019-08-13 17:12:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:38:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Samantha N. Bueno 2020-02-20 13:08:16 UTC
Hey Adam, any chance you can see if this issue still occurs?

Comment 4 Adam Williamson 2020-02-20 17:35:05 UTC
Well, it's slightly hard to tell, because other things changed in the mean time (user creation and root password are no longer on the during-install hub). So I can't tell if the UI is frozen in that time. But it seems like it sits at 'starting package installation process' for about 50 seconds currently. That's less than when I filed the bug, but still much longer than without the 'debug' parameter - it seems to get through that step in one or two seconds without it.

Comment 5 Ben Cotton 2020-11-03 17:01:53 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Vendula Poncova 2021-01-22 10:22:34 UTC
Fixed in https://github.com/rhinstaller/anaconda/pull/3039.


Note You need to log in before you can comment on or make changes to this bug.